org.apache.fop.render.rtf.rtflib.rtfdoc

## Class RtfTemplate

- java.lang.Object
- - org.apache.fop.render.rtf.rtflib.rtfdoc.RtfTemplate

    public final class RtfTemplate
    extends Object

Singelton of the RTF style template This class belongs to the jfor:style-template tag processing.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static RtfTemplate` `getInstance()` Singelton.
`void` `setTemplateFilePath(String templateFilePath)` Set the template file and adjust tha path separator
`void` `writeTemplate(org.apache.fop.render.rtf.rtflib.rtfdoc.RtfHeader header)` Write the rtf template

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static RtfTemplate getInstance()

Singelton.

Returns:
  The instance of RtfTemplate

#### setTemplateFilePath

    public void setTemplateFilePath(String templateFilePath)
                             throws IOException

Set the template file and adjust tha path separator

Parameters:
  `templateFilePath` - The full path of the template
Throws:
  `IOException` - for I/O problems

#### writeTemplate

    public void writeTemplate(org.apache.fop.render.rtf.rtflib.rtfdoc.RtfHeader header)
                       throws IOException

Write the rtf template

Parameters:
  `header` - Rtf header is the parent
Throws:
  `IOException` - On write error